---
title: <mn>
slug: Web/MathML/Element/mn
tags:
  - MathML
  - MathML Reference
  - 'MathML:Element'
  - 'MathML:Token Elements'
---
<div>{{MathMLRef}}</div>

<p class="summary">The MathML <code>&lt;mn&gt;</code> element represents a numeric literal which is normally a sequence of digits with a possible separator (a dot or a comma). However,  it is also allowed to have arbitrary text in it which is actually a numeric quantity, for example "eleven".</p>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-class-id-style">class, id, style</dt>
 <dd>Provided for use with <a href="/en-US/docs/CSS">stylesheets</a>.</dd>
 <dt id="attr-dir">dir</dt>
 <dd>The text direction. Possible values are either <code>ltr</code> (left to right) or <code>rtl</code> (right to left).</dd>
 <dt id="attr-displaystyle"><code>displaystyle</code></dt>
 <dd>A Boolean value specifying whether more vertical space is used for displayed equations or, if set to <code>false</code>, a more compact layout is used to display formulas. The main effect is that larger versions of operators are displayed, when <code>displaystyle</code> is set to <code>true</code>. See also <code>largeop</code> and <code>movablelimits</code> on {{ MathMLElement("mo") }}.</dd>
 <dt id="attr-href">href</dt>
 <dd>Used to set a hyperlink to a specified URI.</dd>
 <dt id="attr-mathbackground">mathbackground</dt>
 <dd>The background color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-mathcolor">mathcolor</dt>
 <dd>The text color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-mathsize">mathsize</dt>
 <dd>The size of the content. See <a href="/en-US/docs/CSS/length">length</a> for possible values.<br>
 Deprecated values are: <code>small</code>, <code>normal</code> and <code>big</code>. These will be removed in the future.</dd>
 <dt id="attr-mathvariant">mathvariant</dt>
 <dd>This attribute specifies the logical class of the number which varies in typography. That is, although the names suggest the typographic style for the class, semantically, items with the same class are treated "the same" within an expression, which might or might not involve displaying them with the named typography. The following values are allowed:
 <ul>
  <li><code>normal</code> (Default value) ; <math><mn mathvariant="normal">Example</mn></math></li>
  <li><code>bold</code> ; <math><mn mathvariant="bold">Example</mn></math></li>
  <li><code>italic</code> ; <math><mn mathvariant="italic">Example</mn></math></li>
  <li><code>bold-italic</code> ; <math><mn mathvariant="bold-italic">Example</mn></math></li>
 </ul>

 <ul>
  <li><code>double-struck</code> ; <math><mn mathvariant="double-struck">Example</mn></math></li>
  <li><code>bold-fraktur</code> ; <math><mn mathvariant="bold-fraktur">Example</mn></math></li>
  <li><code>script</code> ; <math><mn mathvariant="script">Example</mn></math></li>
  <li><code>bold-script</code> ; <math><mn mathvariant="bold-script">Example</mn></math></li>
  <li><code>fraktur</code> ; <math><mn mathvariant="fraktur">Example</mn></math></li>
 </ul>

 <ul>
  <li><code>sans-serif</code> ; <math><mn mathvariant="sans-serif">Example</mn></math></li>
  <li><code>bold-sans-serif</code> ; <math><mn mathvariant="bold-sans-serif">Example</mn></math></li>
  <li><code>sans-serif-italic</code> ; <math><mn mathvariant="sans-serif-italic">Example</mn></math></li>
  <li><code>sans-serif-bold-italic</code> ; <math><mn mathvariant="sans-serif-bold-italic">Example</mn></math></li>
  <li><code>monospace</code> ; <math><mn mathvariant="monospace">Example</mn></math></li>
 </ul>

 <ul>
  <li><code>initial</code> ; <math><mn mathvariant="initial">مثال</mn></math></li>
  <li><code>tailed</code> ; <math><mn mathvariant="tailed">مثال</mn></math></li>
  <li><code>looped</code> ; <math><mn mathvariant="looped">مثال</mn></math></li>
  <li><code>stretched</code> ; <math><mn mathvariant="stretched">مثال</mn></math></li>
 </ul>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: html notranslate">&lt;math&gt;

  &lt;mn&gt; 0 &lt;/mn&gt;

  &lt;mn&gt; 1.337 &lt;/mn&gt;

  &lt;mn&gt; twelve &lt;/mn&gt;

  &lt;mn&gt; XVI &lt;/mn&gt;

  &lt;mn&gt; 2e10 &lt;/mn&gt;

&lt;/math&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("MathMLCore", "#number-mn", "mn")}}</td>
   <td>{{Spec2("MathMLCore")}}</td>
   <td>Draft specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML3', 'chapter3.html#presm.mn', 'mn') }}</td>
   <td>{{ Spec2('MathML3') }}</td>
   <td>Current specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML2', 'chapter3.html#presm.mn', 'mn') }}</td>
   <td>{{ Spec2('MathML2') }}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("mathml.elements.mn")}}</p>

<h2 id="Gecko-specific_notes">Gecko-specific notes</h2>

<ul>
 <li>Some <code>mathvariant</code> values are only implemented starting with Gecko 28.0 {{ geckoRelease("28.0") }} and require appropriate <a href="/en-US/docs/Mozilla/MathML_Project/Fonts">math fonts</a>.</li>
</ul>
